kletterwizard

Text Editors

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 50.0%
Description:

K-Letter-Wizard makes writing letters easy. Just enter address and subject and with some help from latex, you get a very good looking letter.
Only english, german and dutch output at the moment.

See Homepage for more info

The Suse-9.1-rpm package was provided by Mario Mueller
Last changelog:

12 years ago

0.9.8: - Did some fixing again. Yipee
- Fixed utf Problems
- UTF ist used by default now
- New Package for Ubuntu
0.9.7: - New Danish Translation
- Footer is now completely
customizable

0.9.6: - Kletterwizard comes with
its own
latex-class now. No Dependency
on g-brief anymore.
Debian-testing and Mandrake
should work now.
- Following characters are
properly escaped now:
$ % & \ { } _
- My Sign / Your Sign/
Your letter from
are only shown if there are
values to show
-fixed tab-order

flyingsheep

9 years ago

…you do realize that “kletterwizard” means “climbing wizard” when translated from german? (“klettern” means “to climb”)

Report

ezteban

10 years ago

Is there a chance to get a KDE 4 port of this great application? It's the only one i'm really missing in KDE 4.

Report

gkrnours

10 years ago

As a french person, I can translate to this language.
Just gimme files for this and how to use them, and I'll be happy to help you

Report

C

cz8s

12 years ago

Hi,

I just received two bugreports from invalid email-Adresses. So I can't answer. So if anybody wants to send bugreports:

1: I will answer again :-)
2: Please attach the output of kletterwizard run in a console
3: Please tell me which version and if source or package.


Thanks for helping improving Kletterwizard.

Report

comeon

13 years ago

latex cant find the tmp file.
is there a '"' missing?
anyone else with this prob?


This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4)
entering extended mode
! I can't find file `" "'.

\nonstopmode
" \nonstopmode
\\input{" /tmp/kde-aether/kletterwizardfZuUat/tmp.tex }
Please type another input file name:
! Emergency stop.

\nonstopmode
" \nonstopmode
\\input{" /tmp/kde-aether/kletterwizardfZuUat/tmp.tex }
No pages of output.
Transcript written on texput.log.

Report

comeon

13 years ago

ok. i found it.
remove the whitespace before \\nonstopmode (line 231 in src/klwletter.cpp)
depending on your gcc version you may also need to remove the \ before } (same line and file)

Report

sirbenson

13 years ago

Hello,

thank you very much, it works !!!!!!

Best regards, Norbert

Report

ezteban

13 years ago

p.s.: If I leave kletterwizard running and type into konsole: latex /tmp/kde-xxxx/kletterwizardxxxx/tmp.tex, the correct tmp.dvi is being generated. So it must be a communication problem between kletterwizard and latex.

Report

ezteban

13 years ago

Under SuSE 9.1 it worked flawless for me. Since I updated to SuSE 10.0 I have the same problem. That's very sad, cause i wrote all my letters with this great app.
Anyone knows how to fix this ?

Report

sirbenson

13 years ago

Hello, same problem for me.
Can you tell wich libraries must be installed to use the program? Or ist it a problem with access rights?

Report

LTD602

14 years ago

How do you change the font in kLetterwizard (of the letter you are typing)?

Report

gnemmi

14 years ago

usr/lib/qt3/bin/uic -L /usr/lib/kde3/lib/kde3/plugins/designer -nounload -o klwPersonalSettingsFormBase.h ./klwPersonalSettingsFormBase.ui
uic: File generated with too recent version of Qt Designer (3.3 vs. 3.2.3)
make[2]: *** [klwPersonalSettingsFormBase.h] Error 1

as may have guessed, I running on:
qt3-3.2.3
qt3-devel-3.2.3
kdelibs3-3.2.3
kdelibs3-devel-3.2.3

Report

C

cz8s

14 years ago

The usual Problem with the designer version: Edit src/klwPersonalSettingsFormBase.ui and change version="3.3" to version="3.2.1". Will fix the tarball

Report

nightdragon

14 years ago

Nice work. Compiles and runs great in KDE 3.4 beta 2

Report

LTD602

14 years ago

It's time I add my comment, and I must ay, this little application is a joy to use. Easy, clear, and produces a great-looking letter.

There are a few formatting issues regarding American/Canadian letter standards that I've made known to the author, but they are not bugs, just a small wishlist.

Another request: Can we also have the ability to save letters in different formats (kWord, etc.)? Or at least, to save letters in whatever "Kletterwizard" format? I know it's Latex, but can this be done?

All in all, great program, and well worth the download.

Report

C

cz8s

12 years ago

Saving is possible already.
Its XML. I would like to be able to export to odf. But I need help for that. Any volunteers ?

Report

C

cz8s

14 years ago

You can save it as *.letter. This can be opened by kletterwizard.
It can be saved as PDF which can be opened by KWord, right ?

Report

marcel_double

15 years ago

can someone provide some static binaries, please?

Report

ita256

15 years ago

i have tried kletterwizard 0.9.5 and encountered the following problems :

* kletterwizard crashes if kghostview is not installed
here is the error message : "FATAL: Could NOT find a Part for image/x-eps (Postscript Viewer). Is KGhostview installed ?"

* The tab order is not set up properly on the gui (try to switch from one lineedit to another with the tab key).

Report

BOSSoNe

15 years ago

I've a similar problem but kghostview is installated on my computer.

locate output:
/usr/lib/kde3/libkghostviewpart.la
/usr/lib/kde3/libkghostviewpart.so
/usr/lib/libkghostviewlib.so.0.0.0
/usr/lib/libkghostviewlib.so.0
/usr/lib/libkghostviewlib.so
/usr/lib/libkghostviewlib.la

ktradertest output (image/x-eps KParts/ReadOnlyPart):
---- Offer 0 ----
kio (KService*): Request for unknown property 'Caption'
Invalid property Caption
DocPath : 'kghostview/index.html'
kio (KService*): Request for unknown property 'UntranslatedGenericName'
Invalid property UntranslatedGenericName
X-KDE-StartupNotify : 'TRUE'
Type : 'Application'
Name : 'Visualiseur PS et PDF'
Comment : 'Afficheur de documents Postscript et PDF'
GenericName : 'PS/PDF Viewer'
Icon : 'kghostview.png'
Exec : 'kghostview %u -caption "%c" %i %m'
Terminal : '0'
Invalid property TerminalOptions
Invalid property Path
ServiceTypes : 'KParts/ReadOnlyPart - Browser/View - application/pdf - application/postscript - image/x-eps - application/gzpostscript - Application'
AllowAsDefault : '1'
InitialPreference : '6'
Library : 'libkghostview'
DesktopEntryPath : 'Applications/Publishing/kghostview.desktop'
DesktopEntryName : 'kghostview'
Keywords : ''
Categories : ''


kletterwizard output:
kio (KTrader): KServiceTypeProfile::offers( image/x-eps, )
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-root/ksycoca
kio (KTrader): KServiceTypeProfile::offers serviceType=image/x-eps genericServiceType=Application
kio (KTrader): KServiceTypeProfile::offers serviceType=image/x-eps genericServiceType=KParts/ReadOnlyPart
kio (KTrader): Returning 12 offers
kdecore (KLibLoader): library=libkghostview.la: No file names libkghostview.la found in paths.
kletterwizard: FATAL: Could NOT find a Part for image/x-eps (Postscript Viewer). Is KGhostview installed ?

Report

BOSSoNe

15 years ago

Forget this comment, i've found the problem with playing with mime type associations.

Report

C

cz8s

15 years ago

It says in the README that you will need kghostview.
I will care about the tabs

Report

ita256

15 years ago

.. but it should not crash

Report

nightwriter

15 years ago

The newer Mandrakes (since 9.0) won't run this application because the file g-brief.cls is no longer a part of tetex-Latex. The last version MDK has with this file was 1.0.7 and current is 2.0.2. Any idea what replaced this file and how to make the product use the newer cls file?

The error is as follows

This is TeX, Version 3.14159 (Web2C 7.4.5)
LaTeX2e
Babel and hyphenation patterns for american, french, german, ngerman, b
asque, italian, portuges, russian, spanish, nohyphenation, loaded.

(/tmp/kde-james/kletterwizard2bBDbl/tmp.tex

! LaTeX Error: File `g-brief.cls' not found.

Type X to quit or to proceed,
or enter new name. (Default extension: cls)

Enter file name:
! Emergency stop.


l.2 \usepackage
{babel}^^M
No pages of output.
Transcript written on tmp.log.
This is dvips(k) 5.92b Copyright 2002 Radical Eye Software (www.radicaleye.com)
/usr/bin/dvips: ! DVI file can't be opened.


So when you attempt to either use the preview or save/print the file there is no .ps file to save/view/print.

Thanks

Report

C

cz8s

15 years ago

g-brief wasn't GPL for some time. But it is lppl now. Maybe it will be in MDK soon. If not, just download it here:
http://www.ctan.org/tex-archive/macros/latex/contrib/g-brief/

Report

12 years ago

0.9.8: - Did some fixing again. Yipee
- Fixed utf Problems
- UTF ist used by default now
- New Package for Ubuntu
0.9.7: - New Danish Translation
- Footer is now completely
customizable

0.9.6: - Kletterwizard comes with
its own
latex-class now. No Dependency
on g-brief anymore.
Debian-testing and Mandrake
should work now.
- Following characters are
properly escaped now:
$ % & \ { } _
- My Sign / Your Sign/
Your letter from
are only shown if there are
values to show
-fixed tab-order

12345678910
product-maker Base: 4 x 5.0 Ratings
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs ocs-url or ocs-store to install things
Pling
0 Affiliates
Details
license
version
0.9.8
updated Apr 20 2007
added Jun 15 2004
downloads 24h
0
pageviews 24h 3
System Tags app software